Subject: [TOOLS-DEVELOPMENT] Tools Call Agenda -- 8 Nov 2016

From: Russ Housley <[email-masked]>
Date: Thu, 3 Nov 2016 09:53:56 -0400

Tools Call Agenda -- 8 Nov 2016 at 1:00 Eastern

1. Datatracker Projects
   - Expected Datatracker Releases -- Robert and Henrik
     -- http://trac.tools.ietf.org/tools/ietfdb/wiki/MergePlan
   - Contracts for Datatracker Enhancements -- Robert
     -- Review Tracking
     -- Author Statistics

2. Community & Other Projects
   - Improvements to the mail archive application -- Robert and Ryan
   - IETF Website Makeover -- Greg and Joe

3. RFC Services Projects
   - Contracts for Improvements to RFC Services -- Heather and Robert
     -- CSS for the RFCs
     -- RFC Format-related Developments

4. Transition of Mission Critical Tools
   - Moving issue trackers and wikis for IETF WGs on ietf.org -- Henrik

5. Server Infrastructure
   - Migrate toward Django 1.8, 1.9, and 1.10 -- Henrik
   - Database performance analysis -- Henrik

6. IDIQ Contractors
   - RFP for more IDIQ contractors -- Ray

7. Parking Lot
   - Libraries for HTML of I-Ds -- Henrik
   - CDN support for HTML and PDF I-Ds -- Henrik
   - Migrate from MySQL to PostgreSQL -- Henrik
   - Discontinue MonArch email archives -- Robert
   - Improve infrastructure for finding and fetching artifacts -- Robert
   - Author information for very old I-Ds in the datatracker -- Robert
   - Replace I-Ds in proceedings with links to archive copy?
   - Performance improvements and transition to Postgres -- Henrik
   - VM Architecture for Servers -- Robert
   - Submit an I-D directly from GitHub
   - Mailman support for internationalized email addresses

8. AOB

---

From: Robert Sparks <[email-masked]>
Date: Thu, 3 Nov 2016 10:04:55 -0500

Agenda bash: The IESG is talking about the DMARC threads - please give 
Ben and me 5 minutes on this call to provide an update.

On 11/3/16 8:53 AM, Russ Housley wrote:
> _______________________________________________
> TOOLS-DEVELOPMENT mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tools-development

---

From: Russ Housley <[email-masked]>
Date: Thu, 3 Nov 2016 14:44:24 -0400

Updated item 5 to fill Robert’s agenda bash ….

1. Datatracker Projects

3. RFC Services Projects

5. Server Infrastructure
   - IESG discussions of DMARC -- Robert and Ben
   - Migrate toward Django 1.8, 1.9, and 1.10 -- Henrik
   - Database performance analysis -- Henrik

6. IDIQ Contractors

7. Parking Lot

8. AOB

---

From: Robert Sparks <[email-masked]>
Date: Thu, 3 Nov 2016 13:47:07 -0500

A short set of notes as of today - will update right before call if 
relevant.

>     - Contracts for Datatracker Enhancements -- Robert
Very close to deployment, but I'm going to delay it until after Seoul so 
that I can give the directorate secretaries other than Jean and Tero a 
little time to become familiar with the tool in a test environment.
>       -- Author Statistics
Waiting to start on the Review tracker finishing. I expect work will 
start on this while we're in Seoul.
>     - Improvements to the mail archive application -- Robert and Ryan
Ryan will provide an update.
>     - Contracts for Improvements to RFC Services -- Heather and Robert
Had a kickoff meeting mid October. Real work on this is supposed to 
start this week.
>       -- RFC Format-related Developments
In the bid evaluation phase.

---

From: Henrik Levkowetz <[email-masked]>
Date: Thu, 03 Nov 2016 20:35:00 +0100

Some additional notes:

>>       -- http://trac.tools.ietf.org/tools/ietfdb/wiki/MergePlan

WG Wiki glue released, for the actual move see below under 4

>>     - Moving issue trackers and wikis for IETF WGs on ietf.org -- Henrik

I'm ready to do the move, either Saturday Nov. 5th or the week after Seoul.

>>     - Migrate toward Django 1.8, 1.9, and 1.10 -- Henrik

I've started working on this, looking at the backwards incompatible
changes in Django 1.8.  This doesn't look too onerous (so far; it's
early days yet), but there definitely are some incompatible changes
that require work.

>>     - Database performance analysis -- Henrik

I think this is a duplicate of the parking lot item about performance
improvements?  Anyway, this is now in place # 11. in my PLAN file.

>>     - Libraries for HTML of I-Ds -- Henrik
							Now item #12
>>     - CDN support for HTML and PDF I-Ds -- Henrik
							Now item #13
>>     - Mailman support for internationalized email addresses
							Waiting for MM 3.1

---

From: Russ Housley <[email-masked]>
Date: Fri, 4 Nov 2016 11:21:13 -0400

> I'm ready to do the move, either Saturday Nov. 5th or the week after Seoul.

Yes.  Since the risk is low, we are going forward with it this weekend.

> improvements?  Anyway, this is now in place # 11. in my PLAN file.

It has been removed from this section of the agenda.  It remains in the parking lot.

Russ

---

From: Ryan Cross <[email-masked]>
Date: Mon, 7 Nov 2016 15:56:41 -0800

Current estimates on the the archive improvements releases.

> On Nov 3, 2016, at 11:44 AM, Russ Housley <[email-masked]> wrote:
> 
Release 1 (RFC 7842 section 2.5, 2.6) - deployed
Release 2 (RFC 7842 section 2.1) - pending
Release 3 (RFC 7842 section 2.2, 2.3) early December
Release 4 (RFC 7842 section 2.4, 2.7) mid / late December

---

From: Bob Hinden <[email-masked]>
Date: Tue, 8 Nov 2016 07:10:56 -0800

Russ,

Something came up, I won’t be able to make the call today.  See you in Seoul.

Bob

> On Nov 7, 2016, at 3:56 PM, Ryan Cross <[email-masked]> wrote:
>